from odoo import api, models, fields

class ProductTemplate(models.Model):
    _inherit = 'product.template'

    @api.model
    def _search_get_detail(self, website, order, options):
        search_details = super()._search_get_detail(website, order, options)
        search_details['search_fields'].append('autor')
        search_details['fetch_fields'].append('autor')
        search_details['search_fields'].append('editorial')
        search_details['fetch_fields'].append('editorial')
        search_details['search_fields'].append('subtitle')
        search_details['fetch_fields'].append('subtitle')
        search_details['search_fields'].remove('description')
        search_details['search_fields'].remove('description_sale')
        return search_details