{
    "name": "Website Sale Product Library",
    "version": "16.0.1.0.3",
    "category": "Website",
    "summary": "Modifica website_sale para una librería / Tienda de música.",    
    "author": "Criptomart",
    "license": "AGPL-3",
    "description": """

Website Sale Product Library
==================================================

Modifica la tienda online con los campos de product_library.

* Linka internal description con website_description.
* Muestra en product en la lista de productos los campos de product_library (subtítulo, autor, editorial, formato, género).
* En la vista del producto, añade subtítulo y autor después del nombre y la descripción.
* Búsqueda en la web por autor, editorial y subtítulo, quita la búsqueda en descripción.
""",    
    "depends": ["website_sale", "product_library"],
    "data": ["views/website_sale_views.xml"],
    "assets": {
        "web.assets_frontend": [
            "website_sale_product_library/static/src/scss/custom.scss",
        ],
    },
    "application": False,
    "installable": True,
}
